/// <reference types="react" />
import { AccessorQuery } from 'data-accessor';
import { discord } from '../api';
export interface CacheStoreDiscordPresence extends AccessorQuery.AccessorQueryCacheStore {
    discordPresence: Map<string, discord.DiscordGetPresenceResponse['presence']>;
}
export declare const createCache: () => {
    discordPresence: Map<string, import("yup/lib/object").AssertsShape<{
        spotify: import("yup").ObjectSchema<{
            album: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
            album_art_url: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
            artist: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
            song: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
            timestamps: import("yup/lib/object").OptionalObjectSchema<{
                start: import("yup/lib/number").DefinedNumberSchema<number | undefined, import("yup/lib/types").AnyObject>;
                end: import("yup/lib/number").DefinedNumberSchema<number | undefined, import("yup/lib/types").AnyObject>;
            }, import("yup/lib/object").AnyObject, import("yup/lib/object").TypeOfShape<{
                start: import("yup/lib/number").DefinedNumberSchema<number | undefined, import("yup/lib/types").AnyObject>;
                end: import("yup/lib/number").DefinedNumberSchema<number | undefined, import("yup/lib/types").AnyObject>;
            }>>;
        }, import("yup/lib/object").AnyObject, import("yup/lib/object").TypeOfShape<{
            album: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
            album_art_url: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
            artist: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
            song: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
            timestamps: import("yup/lib/object").OptionalObjectSchema<{
                start: import("yup/lib/number").DefinedNumberSchema<number | undefined, import("yup/lib/types").AnyObject>;
                end: import("yup/lib/number").DefinedNumberSchema<number | undefined, import("yup/lib/types").AnyObject>;
            }, import("yup/lib/object").AnyObject, import("yup/lib/object").TypeOfShape<{
                start: import("yup/lib/number").DefinedNumberSchema<number | undefined, import("yup/lib/types").AnyObject>;
                end: import("yup/lib/number").DefinedNumberSchema<number | undefined, import("yup/lib/types").AnyObject>;
            }>>;
        }> | null, import("yup/lib/object").AssertsShape<{
            album: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
            album_art_url: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
            artist: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
            song: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
            timestamps: import("yup/lib/object").OptionalObjectSchema<{
                start: import("yup/lib/number").DefinedNumberSchema<number | undefined, import("yup/lib/types").AnyObject>;
                end: import("yup/lib/number").DefinedNumberSchema<number | undefined, import("yup/lib/types").AnyObject>;
            }, import("yup/lib/object").AnyObject, import("yup/lib/object").TypeOfShape<{
                start: import("yup/lib/number").DefinedNumberSchema<number | undefined, import("yup/lib/types").AnyObject>;
                end: import("yup/lib/number").DefinedNumberSchema<number | undefined, import("yup/lib/types").AnyObject>;
            }>>;
        }> | null>;
        listening_to_spotify: import("yup/lib/boolean").DefinedBooleanSchema<boolean | undefined, import("yup/lib/types").AnyObject>;
        kv: import("yup/lib/mixed").MixedSchema<any, import("yup/lib/types").AnyObject, any>;
        discord_user: import("yup/lib/object").DefinedObjectSchema<{
            username: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
            public_flags: import("yup/lib/number").DefinedNumberSchema<number | undefined, import("yup/lib/types").AnyObject>;
            id: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
            display_name: import("yup").StringSchema<string | null | undefined, import("yup/lib/types").AnyObject, string | null | undefined>;
            discriminator: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
            bot: import("yup/lib/boolean").DefinedBooleanSchema<boolean | undefined, import("yup/lib/types").AnyObject>;
            avatar_decoration: import("yup/lib/mixed").MixedSchema<any, import("yup/lib/types").AnyObject, any>;
            avatar: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
        }, import("yup/lib/object").AnyObject, import("yup/lib/object").TypeOfShape<{
            username: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
            public_flags: import("yup/lib/number").DefinedNumberSchema<number | undefined, import("yup/lib/types").AnyObject>;
            id: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
            display_name: import("yup").StringSchema<string | null | undefined, import("yup/lib/types").AnyObject, string | null | undefined>;
            discriminator: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
            bot: import("yup/lib/boolean").DefinedBooleanSchema<boolean | undefined, import("yup/lib/types").AnyObject>;
            avatar_decoration: import("yup/lib/mixed").MixedSchema<any, import("yup/lib/types").AnyObject, any>;
            avatar: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
        }>>;
        discord_status: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
        activities: import("yup/lib/array").DefinedArraySchema<import("yup/lib/object").OptionalObjectSchema<{
            type: import("yup/lib/number").DefinedNumberSchema<number | undefined, import("yup/lib/types").AnyObject>;
            timestamps: import("yup").ObjectSchema<{
                start: import("yup").NumberSchema<number | null, import("yup/lib/types").AnyObject, number | null>;
                end: import("yup").NumberSchema<number | null, import("yup/lib/types").AnyObject, number | null>;
            }, import("yup/lib/object").AnyObject, import("yup/lib/object").TypeOfShape<{
                start: import("yup").NumberSchema<number | null, import("yup/lib/types").AnyObject, number | null>;
                end: import("yup").NumberSchema<number | null, import("yup/lib/types").AnyObject, number | null>;
            }> | null, import("yup/lib/object").AssertsShape<{
                start: import("yup").NumberSchema<number | null, import("yup/lib/types").AnyObject, number | null>;
                end: import("yup").NumberSchema<number | null, import("yup/lib/types").AnyObject, number | null>;
            }> | null>;
            state: import("yup").StringSchema<string | null, import("yup/lib/types").AnyObject, string | null>;
            session_id: import("yup").StringSchema<string | null, import("yup/lib/types").AnyObject, string | null>;
            name: import("yup/lib/string").DefinedStringSchema<string, import("yup/lib/types").AnyObject>;
            id: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
            details: import("yup").StringSchema<string | null, import("yup/lib/types").AnyObject, string | null>;
            created_at: import("yup/lib/number").DefinedNumberSchema<number | undefined, import("yup/lib/types").AnyObject>;
            buttons: any;
            assets: import("yup").ObjectSchema<{
                small_text: import("yup").StringSchema<string | null, import("yup/lib/types").AnyObject, string | null>;
                small_image: import("yup").StringSchema<string | null, import("yup/lib/types").AnyObject, string | null>;
                large_text: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
                large_image: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
            }, import("yup/lib/object").AnyObject, import("yup/lib/object").TypeOfShape<{
                small_text: import("yup").StringSchema<string | null, import("yup/lib/types").AnyObject, string | null>;
                small_image: import("yup").StringSchema<string | null, import("yup/lib/types").AnyObject, string | null>;
                large_text: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
                large_image: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
            }> | null, import("yup/lib/object").AssertsShape<{
                small_text: import("yup").StringSchema<string | null, import("yup/lib/types").AnyObject, string | null>;
                small_image: import("yup").StringSchema<string | null, import("yup/lib/types").AnyObject, string | null>;
                large_text: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
                large_image: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
            }> | null>;
            emoji: import("yup").ObjectSchema<{
                name: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
                id: import("yup").StringSchema<string | null, import("yup/lib/types").AnyObject, string | null>;
                animated: import("yup").BooleanSchema<boolean | null, import("yup/lib/types").AnyObject, boolean | null>;
            }, import("yup/lib/object").AnyObject, import("yup/lib/object").TypeOfShape<{
                name: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
                id: import("yup").StringSchema<string | null, import("yup/lib/types").AnyObject, string | null>;
                animated: import("yup").BooleanSchema<boolean | null, import("yup/lib/types").AnyObject, boolean | null>;
            }> | null, import("yup/lib/object").AssertsShape<{
                name: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
                id: import("yup").StringSchema<string | null, import("yup/lib/types").AnyObject, string | null>;
                animated: import("yup").BooleanSchema<boolean | null, import("yup/lib/types").AnyObject, boolean | null>;
            }> | null>;
            application_id: import("yup").StringSchema<string | null, import("yup/lib/types").AnyObject, string | null>;
        }, import("yup/lib/object").AnyObject, import("yup/lib/object").TypeOfShape<{
            type: import("yup/lib/number").DefinedNumberSchema<number | undefined, import("yup/lib/types").AnyObject>;
            timestamps: import("yup").ObjectSchema<{
                start: import("yup").NumberSchema<number | null, import("yup/lib/types").AnyObject, number | null>;
                end: import("yup").NumberSchema<number | null, import("yup/lib/types").AnyObject, number | null>;
            }, import("yup/lib/object").AnyObject, import("yup/lib/object").TypeOfShape<{
                start: import("yup").NumberSchema<number | null, import("yup/lib/types").AnyObject, number | null>;
                end: import("yup").NumberSchema<number | null, import("yup/lib/types").AnyObject, number | null>;
            }> | null, import("yup/lib/object").AssertsShape<{
                start: import("yup").NumberSchema<number | null, import("yup/lib/types").AnyObject, number | null>;
                end: import("yup").NumberSchema<number | null, import("yup/lib/types").AnyObject, number | null>;
            }> | null>;
            state: import("yup").StringSchema<string | null, import("yup/lib/types").AnyObject, string | null>;
            session_id: import("yup").StringSchema<string | null, import("yup/lib/types").AnyObject, string | null>;
            name: import("yup/lib/string").DefinedStringSchema<string, import("yup/lib/types").AnyObject>;
            id: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
            details: import("yup").StringSchema<string | null, import("yup/lib/types").AnyObject, string | null>;
            created_at: import("yup/lib/number").DefinedNumberSchema<number | undefined, import("yup/lib/types").AnyObject>;
            buttons: any;
            assets: import("yup").ObjectSchema<{
                small_text: import("yup").StringSchema<string | null, import("yup/lib/types").AnyObject, string | null>;
                small_image: import("yup").StringSchema<string | null, import("yup/lib/types").AnyObject, string | null>;
                large_text: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
                large_image: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
            }, import("yup/lib/object").AnyObject, import("yup/lib/object").TypeOfShape<{
                small_text: import("yup").StringSchema<string | null, import("yup/lib/types").AnyObject, string | null>;
                small_image: import("yup").StringSchema<string | null, import("yup/lib/types").AnyObject, string | null>;
                large_text: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
                large_image: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
            }> | null, import("yup/lib/object").AssertsShape<{
                small_text: import("yup").StringSchema<string | null, import("yup/lib/types").AnyObject, string | null>;
                small_image: import("yup").StringSchema<string | null, import("yup/lib/types").AnyObject, string | null>;
                large_text: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
                large_image: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
            }> | null>;
            emoji: import("yup").ObjectSchema<{
                name: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
                id: import("yup").StringSchema<string | null, import("yup/lib/types").AnyObject, string | null>;
                animated: import("yup").BooleanSchema<boolean | null, import("yup/lib/types").AnyObject, boolean | null>;
            }, import("yup/lib/object").AnyObject, import("yup/lib/object").TypeOfShape<{
                name: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
                id: import("yup").StringSchema<string | null, import("yup/lib/types").AnyObject, string | null>;
                animated: import("yup").BooleanSchema<boolean | null, import("yup/lib/types").AnyObject, boolean | null>;
            }> | null, import("yup/lib/object").AssertsShape<{
                name: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
                id: import("yup").StringSchema<string | null, import("yup/lib/types").AnyObject, string | null>;
                animated: import("yup").BooleanSchema<boolean | null, import("yup/lib/types").AnyObject, boolean | null>;
            }> | null>;
            application_id: import("yup").StringSchema<string | null, import("yup/lib/types").AnyObject, string | null>;
        }>>, import("yup/lib/types").AnyObject, import("yup/lib/object").TypeOfShape<{
            type: import("yup/lib/number").DefinedNumberSchema<number | undefined, import("yup/lib/types").AnyObject>;
            timestamps: import("yup").ObjectSchema<{
                start: import("yup").NumberSchema<number | null, import("yup/lib/types").AnyObject, number | null>;
                end: import("yup").NumberSchema<number | null, import("yup/lib/types").AnyObject, number | null>;
            }, import("yup/lib/object").AnyObject, import("yup/lib/object").TypeOfShape<{
                start: import("yup").NumberSchema<number | null, import("yup/lib/types").AnyObject, number | null>;
                end: import("yup").NumberSchema<number | null, import("yup/lib/types").AnyObject, number | null>;
            }> | null, import("yup/lib/object").AssertsShape<{
                start: import("yup").NumberSchema<number | null, import("yup/lib/types").AnyObject, number | null>;
                end: import("yup").NumberSchema<number | null, import("yup/lib/types").AnyObject, number | null>;
            }> | null>;
            state: import("yup").StringSchema<string | null, import("yup/lib/types").AnyObject, string | null>;
            session_id: import("yup").StringSchema<string | null, import("yup/lib/types").AnyObject, string | null>;
            name: import("yup/lib/string").DefinedStringSchema<string, import("yup/lib/types").AnyObject>;
            id: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
            details: import("yup").StringSchema<string | null, import("yup/lib/types").AnyObject, string | null>;
            created_at: import("yup/lib/number").DefinedNumberSchema<number | undefined, import("yup/lib/types").AnyObject>;
            buttons: any;
            assets: import("yup").ObjectSchema<{
                small_text: import("yup").StringSchema<string | null, import("yup/lib/types").AnyObject, string | null>;
                small_image: import("yup").StringSchema<string | null, import("yup/lib/types").AnyObject, string | null>;
                large_text: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
                large_image: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
            }, import("yup/lib/object").AnyObject, import("yup/lib/object").TypeOfShape<{
                small_text: import("yup").StringSchema<string | null, import("yup/lib/types").AnyObject, string | null>;
                small_image: import("yup").StringSchema<string | null, import("yup/lib/types").AnyObject, string | null>;
                large_text: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
                large_image: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
            }> | null, import("yup/lib/object").AssertsShape<{
                small_text: import("yup").StringSchema<string | null, import("yup/lib/types").AnyObject, string | null>;
                small_image: import("yup").StringSchema<string | null, import("yup/lib/types").AnyObject, string | null>;
                large_text: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
                large_image: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
            }> | null>;
            emoji: import("yup").ObjectSchema<{
                name: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
                id: import("yup").StringSchema<string | null, import("yup/lib/types").AnyObject, string | null>;
                animated: import("yup").BooleanSchema<boolean | null, import("yup/lib/types").AnyObject, boolean | null>;
            }, import("yup/lib/object").AnyObject, import("yup/lib/object").TypeOfShape<{
                name: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
                id: import("yup").StringSchema<string | null, import("yup/lib/types").AnyObject, string | null>;
                animated: import("yup").BooleanSchema<boolean | null, import("yup/lib/types").AnyObject, boolean | null>;
            }> | null, import("yup/lib/object").AssertsShape<{
                name: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
                id: import("yup").StringSchema<string | null, import("yup/lib/types").AnyObject, string | null>;
                animated: import("yup").BooleanSchema<boolean | null, import("yup/lib/types").AnyObject, boolean | null>;
            }> | null>;
            application_id: import("yup").StringSchema<string | null, import("yup/lib/types").AnyObject, string | null>;
        }>[] | undefined>;
        active_on_discord_web: import("yup/lib/boolean").DefinedBooleanSchema<boolean | undefined, import("yup/lib/types").AnyObject>;
        active_on_discord_mobile: import("yup/lib/boolean").DefinedBooleanSchema<boolean | undefined, import("yup/lib/types").AnyObject>;
        active_on_discord_desktop: import("yup/lib/boolean").DefinedBooleanSchema<boolean | undefined, import("yup/lib/types").AnyObject>;
    }> & {
        aboutMe?: string | undefined;
        theme?: {
            primary: string;
            accent: string;
        } | undefined;
        premiumMemberSince?: Date | undefined;
    }>;
};
export declare const AccessorGetDiscordPresence: import("react").FunctionComponent<{
    cache: () => CacheStoreDiscordPresence;
    args: discord.DiscordGetPresenceRequest;
    children: (result: AccessorQuery.AccessorQueryResult<import("yup/lib/object").AssertsShape<{
        spotify: import("yup").ObjectSchema<{
            album: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
            album_art_url: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
            artist: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
            song: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
            timestamps: import("yup/lib/object").OptionalObjectSchema<{
                start: import("yup/lib/number").DefinedNumberSchema<number | undefined, import("yup/lib/types").AnyObject>;
                end: import("yup/lib/number").DefinedNumberSchema<number | undefined, import("yup/lib/types").AnyObject>;
            }, import("yup/lib/object").AnyObject, import("yup/lib/object").TypeOfShape<{
                start: import("yup/lib/number").DefinedNumberSchema<number | undefined, import("yup/lib/types").AnyObject>;
                end: import("yup/lib/number").DefinedNumberSchema<number | undefined, import("yup/lib/types").AnyObject>;
            }>>;
        }, import("yup/lib/object").AnyObject, import("yup/lib/object").TypeOfShape<{
            album: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
            album_art_url: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
            artist: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
            song: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
            timestamps: import("yup/lib/object").OptionalObjectSchema<{
                start: import("yup/lib/number").DefinedNumberSchema<number | undefined, import("yup/lib/types").AnyObject>;
                end: import("yup/lib/number").DefinedNumberSchema<number | undefined, import("yup/lib/types").AnyObject>;
            }, import("yup/lib/object").AnyObject, import("yup/lib/object").TypeOfShape<{
                start: import("yup/lib/number").DefinedNumberSchema<number | undefined, import("yup/lib/types").AnyObject>;
                end: import("yup/lib/number").DefinedNumberSchema<number | undefined, import("yup/lib/types").AnyObject>;
            }>>;
        }> | null, import("yup/lib/object").AssertsShape<{
            album: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
            album_art_url: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
            artist: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
            song: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
            timestamps: import("yup/lib/object").OptionalObjectSchema<{
                start: import("yup/lib/number").DefinedNumberSchema<number | undefined, import("yup/lib/types").AnyObject>;
                end: import("yup/lib/number").DefinedNumberSchema<number | undefined, import("yup/lib/types").AnyObject>;
            }, import("yup/lib/object").AnyObject, import("yup/lib/object").TypeOfShape<{
                start: import("yup/lib/number").DefinedNumberSchema<number | undefined, import("yup/lib/types").AnyObject>;
                end: import("yup/lib/number").DefinedNumberSchema<number | undefined, import("yup/lib/types").AnyObject>;
            }>>;
        }> | null>;
        listening_to_spotify: import("yup/lib/boolean").DefinedBooleanSchema<boolean | undefined, import("yup/lib/types").AnyObject>;
        kv: import("yup/lib/mixed").MixedSchema<any, import("yup/lib/types").AnyObject, any>;
        discord_user: import("yup/lib/object").DefinedObjectSchema<{
            username: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
            public_flags: import("yup/lib/number").DefinedNumberSchema<number | undefined, import("yup/lib/types").AnyObject>;
            id: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
            display_name: import("yup").StringSchema<string | null | undefined, import("yup/lib/types").AnyObject, string | null | undefined>;
            discriminator: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
            bot: import("yup/lib/boolean").DefinedBooleanSchema<boolean | undefined, import("yup/lib/types").AnyObject>;
            avatar_decoration: import("yup/lib/mixed").MixedSchema<any, import("yup/lib/types").AnyObject, any>;
            avatar: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
        }, import("yup/lib/object").AnyObject, import("yup/lib/object").TypeOfShape<{
            username: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
            public_flags: import("yup/lib/number").DefinedNumberSchema<number | undefined, import("yup/lib/types").AnyObject>;
            id: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
            display_name: import("yup").StringSchema<string | null | undefined, import("yup/lib/types").AnyObject, string | null | undefined>;
            discriminator: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
            bot: import("yup/lib/boolean").DefinedBooleanSchema<boolean | undefined, import("yup/lib/types").AnyObject>;
            avatar_decoration: import("yup/lib/mixed").MixedSchema<any, import("yup/lib/types").AnyObject, any>;
            avatar: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
        }>>;
        discord_status: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
        activities: import("yup/lib/array").DefinedArraySchema<import("yup/lib/object").OptionalObjectSchema<{
            type: import("yup/lib/number").DefinedNumberSchema<number | undefined, import("yup/lib/types").AnyObject>;
            timestamps: import("yup").ObjectSchema<{
                start: import("yup").NumberSchema<number | null, import("yup/lib/types").AnyObject, number | null>;
                end: import("yup").NumberSchema<number | null, import("yup/lib/types").AnyObject, number | null>;
            }, import("yup/lib/object").AnyObject, import("yup/lib/object").TypeOfShape<{
                start: import("yup").NumberSchema<number | null, import("yup/lib/types").AnyObject, number | null>;
                end: import("yup").NumberSchema<number | null, import("yup/lib/types").AnyObject, number | null>;
            }> | null, import("yup/lib/object").AssertsShape<{
                start: import("yup").NumberSchema<number | null, import("yup/lib/types").AnyObject, number | null>;
                end: import("yup").NumberSchema<number | null, import("yup/lib/types").AnyObject, number | null>;
            }> | null>;
            state: import("yup").StringSchema<string | null, import("yup/lib/types").AnyObject, string | null>;
            session_id: import("yup").StringSchema<string | null, import("yup/lib/types").AnyObject, string | null>;
            name: import("yup/lib/string").DefinedStringSchema<string, import("yup/lib/types").AnyObject>;
            id: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
            details: import("yup").StringSchema<string | null, import("yup/lib/types").AnyObject, string | null>;
            created_at: import("yup/lib/number").DefinedNumberSchema<number | undefined, import("yup/lib/types").AnyObject>;
            buttons: any;
            assets: import("yup").ObjectSchema<{
                small_text: import("yup").StringSchema<string | null, import("yup/lib/types").AnyObject, string | null>;
                small_image: import("yup").StringSchema<string | null, import("yup/lib/types").AnyObject, string | null>;
                large_text: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
                large_image: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
            }, import("yup/lib/object").AnyObject, import("yup/lib/object").TypeOfShape<{
                small_text: import("yup").StringSchema<string | null, import("yup/lib/types").AnyObject, string | null>;
                small_image: import("yup").StringSchema<string | null, import("yup/lib/types").AnyObject, string | null>;
                large_text: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
                large_image: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
            }> | null, import("yup/lib/object").AssertsShape<{
                small_text: import("yup").StringSchema<string | null, import("yup/lib/types").AnyObject, string | null>;
                small_image: import("yup").StringSchema<string | null, import("yup/lib/types").AnyObject, string | null>;
                large_text: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
                large_image: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
            }> | null>;
            emoji: import("yup").ObjectSchema<{
                name: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
                id: import("yup").StringSchema<string | null, import("yup/lib/types").AnyObject, string | null>;
                animated: import("yup").BooleanSchema<boolean | null, import("yup/lib/types").AnyObject, boolean | null>;
            }, import("yup/lib/object").AnyObject, import("yup/lib/object").TypeOfShape<{
                name: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
                id: import("yup").StringSchema<string | null, import("yup/lib/types").AnyObject, string | null>;
                animated: import("yup").BooleanSchema<boolean | null, import("yup/lib/types").AnyObject, boolean | null>;
            }> | null, import("yup/lib/object").AssertsShape<{
                name: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
                id: import("yup").StringSchema<string | null, import("yup/lib/types").AnyObject, string | null>;
                animated: import("yup").BooleanSchema<boolean | null, import("yup/lib/types").AnyObject, boolean | null>;
            }> | null>;
            application_id: import("yup").StringSchema<string | null, import("yup/lib/types").AnyObject, string | null>;
        }, import("yup/lib/object").AnyObject, import("yup/lib/object").TypeOfShape<{
            type: import("yup/lib/number").DefinedNumberSchema<number | undefined, import("yup/lib/types").AnyObject>;
            timestamps: import("yup").ObjectSchema<{
                start: import("yup").NumberSchema<number | null, import("yup/lib/types").AnyObject, number | null>;
                end: import("yup").NumberSchema<number | null, import("yup/lib/types").AnyObject, number | null>;
            }, import("yup/lib/object").AnyObject, import("yup/lib/object").TypeOfShape<{
                start: import("yup").NumberSchema<number | null, import("yup/lib/types").AnyObject, number | null>;
                end: import("yup").NumberSchema<number | null, import("yup/lib/types").AnyObject, number | null>;
            }> | null, import("yup/lib/object").AssertsShape<{
                start: import("yup").NumberSchema<number | null, import("yup/lib/types").AnyObject, number | null>;
                end: import("yup").NumberSchema<number | null, import("yup/lib/types").AnyObject, number | null>;
            }> | null>;
            state: import("yup").StringSchema<string | null, import("yup/lib/types").AnyObject, string | null>;
            session_id: import("yup").StringSchema<string | null, import("yup/lib/types").AnyObject, string | null>;
            name: import("yup/lib/string").DefinedStringSchema<string, import("yup/lib/types").AnyObject>;
            id: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
            details: import("yup").StringSchema<string | null, import("yup/lib/types").AnyObject, string | null>;
            created_at: import("yup/lib/number").DefinedNumberSchema<number | undefined, import("yup/lib/types").AnyObject>;
            buttons: any;
            assets: import("yup").ObjectSchema<{
                small_text: import("yup").StringSchema<string | null, import("yup/lib/types").AnyObject, string | null>;
                small_image: import("yup").StringSchema<string | null, import("yup/lib/types").AnyObject, string | null>;
                large_text: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
                large_image: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
            }, import("yup/lib/object").AnyObject, import("yup/lib/object").TypeOfShape<{
                small_text: import("yup").StringSchema<string | null, import("yup/lib/types").AnyObject, string | null>;
                small_image: import("yup").StringSchema<string | null, import("yup/lib/types").AnyObject, string | null>;
                large_text: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
                large_image: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
            }> | null, import("yup/lib/object").AssertsShape<{
                small_text: import("yup").StringSchema<string | null, import("yup/lib/types").AnyObject, string | null>;
                small_image: import("yup").StringSchema<string | null, import("yup/lib/types").AnyObject, string | null>;
                large_text: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
                large_image: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
            }> | null>;
            emoji: import("yup").ObjectSchema<{
                name: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
                id: import("yup").StringSchema<string | null, import("yup/lib/types").AnyObject, string | null>;
                animated: import("yup").BooleanSchema<boolean | null, import("yup/lib/types").AnyObject, boolean | null>;
            }, import("yup/lib/object").AnyObject, import("yup/lib/object").TypeOfShape<{
                name: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
                id: import("yup").StringSchema<string | null, import("yup/lib/types").AnyObject, string | null>;
                animated: import("yup").BooleanSchema<boolean | null, import("yup/lib/types").AnyObject, boolean | null>;
            }> | null, import("yup/lib/object").AssertsShape<{
                name: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
                id: import("yup").StringSchema<string | null, import("yup/lib/types").AnyObject, string | null>;
                animated: import("yup").BooleanSchema<boolean | null, import("yup/lib/types").AnyObject, boolean | null>;
            }> | null>;
            application_id: import("yup").StringSchema<string | null, import("yup/lib/types").AnyObject, string | null>;
        }>>, import("yup/lib/types").AnyObject, import("yup/lib/object").TypeOfShape<{
            type: import("yup/lib/number").DefinedNumberSchema<number | undefined, import("yup/lib/types").AnyObject>;
            timestamps: import("yup").ObjectSchema<{
                start: import("yup").NumberSchema<number | null, import("yup/lib/types").AnyObject, number | null>;
                end: import("yup").NumberSchema<number | null, import("yup/lib/types").AnyObject, number | null>;
            }, import("yup/lib/object").AnyObject, import("yup/lib/object").TypeOfShape<{
                start: import("yup").NumberSchema<number | null, import("yup/lib/types").AnyObject, number | null>;
                end: import("yup").NumberSchema<number | null, import("yup/lib/types").AnyObject, number | null>;
            }> | null, import("yup/lib/object").AssertsShape<{
                start: import("yup").NumberSchema<number | null, import("yup/lib/types").AnyObject, number | null>;
                end: import("yup").NumberSchema<number | null, import("yup/lib/types").AnyObject, number | null>;
            }> | null>;
            state: import("yup").StringSchema<string | null, import("yup/lib/types").AnyObject, string | null>;
            session_id: import("yup").StringSchema<string | null, import("yup/lib/types").AnyObject, string | null>;
            name: import("yup/lib/string").DefinedStringSchema<string, import("yup/lib/types").AnyObject>;
            id: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
            details: import("yup").StringSchema<string | null, import("yup/lib/types").AnyObject, string | null>;
            created_at: import("yup/lib/number").DefinedNumberSchema<number | undefined, import("yup/lib/types").AnyObject>;
            buttons: any;
            assets: import("yup").ObjectSchema<{
                small_text: import("yup").StringSchema<string | null, import("yup/lib/types").AnyObject, string | null>;
                small_image: import("yup").StringSchema<string | null, import("yup/lib/types").AnyObject, string | null>;
                large_text: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
                large_image: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
            }, import("yup/lib/object").AnyObject, import("yup/lib/object").TypeOfShape<{
                small_text: import("yup").StringSchema<string | null, import("yup/lib/types").AnyObject, string | null>;
                small_image: import("yup").StringSchema<string | null, import("yup/lib/types").AnyObject, string | null>;
                large_text: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
                large_image: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
            }> | null, import("yup/lib/object").AssertsShape<{
                small_text: import("yup").StringSchema<string | null, import("yup/lib/types").AnyObject, string | null>;
                small_image: import("yup").StringSchema<string | null, import("yup/lib/types").AnyObject, string | null>;
                large_text: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
                large_image: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
            }> | null>;
            emoji: import("yup").ObjectSchema<{
                name: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
                id: import("yup").StringSchema<string | null, import("yup/lib/types").AnyObject, string | null>;
                animated: import("yup").BooleanSchema<boolean | null, import("yup/lib/types").AnyObject, boolean | null>;
            }, import("yup/lib/object").AnyObject, import("yup/lib/object").TypeOfShape<{
                name: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
                id: import("yup").StringSchema<string | null, import("yup/lib/types").AnyObject, string | null>;
                animated: import("yup").BooleanSchema<boolean | null, import("yup/lib/types").AnyObject, boolean | null>;
            }> | null, import("yup/lib/object").AssertsShape<{
                name: import("yup/lib/string").DefinedStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
                id: import("yup").StringSchema<string | null, import("yup/lib/types").AnyObject, string | null>;
                animated: import("yup").BooleanSchema<boolean | null, import("yup/lib/types").AnyObject, boolean | null>;
            }> | null>;
            application_id: import("yup").StringSchema<string | null, import("yup/lib/types").AnyObject, string | null>;
        }>[] | undefined>;
        active_on_discord_web: import("yup/lib/boolean").DefinedBooleanSchema<boolean | undefined, import("yup/lib/types").AnyObject>;
        active_on_discord_mobile: import("yup/lib/boolean").DefinedBooleanSchema<boolean | undefined, import("yup/lib/types").AnyObject>;
        active_on_discord_desktop: import("yup/lib/boolean").DefinedBooleanSchema<boolean | undefined, import("yup/lib/types").AnyObject>;
    }> & {
        aboutMe?: string | undefined;
        theme?: {
            primary: string;
            accent: string;
        } | undefined;
        premiumMemberSince?: Date | undefined;
    }>) => import("react").ReactNode;
}>;
