import React, { FunctionComponent, ReactNode } from 'react';
import { ThemePalette } from './get_theme_palette';
declare type Theme = {
    primary: string;
    accent: string;
};
export declare const ThemeProviderContext: React.Context<{
    classes?: Record<string, string> | undefined;
    theme: ThemePalette;
    setTheme: (theme: Theme) => void;
} | null>;
export declare const ThemeDiscordPresence: FunctionComponent<{
    classes?: Record<string, string>;
    theme: {
        primary: string;
        accent: string;
    };
    children: ReactNode;
}>;
export declare const ThemeDiscordPresenceOverride: FunctionComponent<{
    theme?: {
        primary: string;
        accent: string;
    };
    children: ReactNode;
}>;
export declare const useTheme: () => {
    classes?: Record<string, string> | undefined;
    theme: ThemePalette;
    setTheme: (theme: Theme) => void;
};
export {};
